@import url('https://fonts.googleapis.com/css2?family=Noto+Serif+JP:wght@200..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Zen+Old+Mincho&display=swap');

body{
    margin: 0;
    box-sizing: border-box;
    font-family: "Zen Old Mincho", serif;
    font-weight: 400;
    font-style: normal;
}

html{
    font-size: 62.5%
}

/* header */
header{
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding-top: 2rem ;
    /* position: relative; */
}

header ul{
    display: flex;
    padding-left: 0;
}

header ul li{
    list-style: none;
    margin-left: 45px;
}

header ul li a{
    color: #1a1a1a; 
    text-decoration: none;
    font-size: 1.7rem;
    font-weight: bold;
}

header ul li a:hover{
    opacity: 0.5;
}

.logo{
    padding-left: 3rem;
    height: 50px;
}

.logo a{
    color: #1a1a1a; 
    text-decoration: none;
    font-size: 2rem;
}

.logo a:hover{
    opacity: 0.5;
}

.menu{
    margin-right: 2rem;
    height: 50px;
}

/* headerここまで */

.box{
    display: none;
}

.title{
    font-size: 2rem;
    margin: 0 auto;
    text-align: center;
    border-bottom: 3px solid black;
}

.title h1{
    margin-bottom: 0;
}

main{
    max-width: 1200px;
    width: 90%;
    margin: 0 auto;
}

/* hiro */
.hiro{
    position: relative;
    margin: 10rem 0;
}
  
.hiro img{
  width: 100%;
  height: 500px;
}

.hiro h1{
  position: absolute;
  font-size: 5rem;
  top: 40%;
  right: -100px;
}

/* consept */
.consept{
    display: flex;
    justify-content: space-between;
    margin: 4rem 0;
}

.consept_box{
    width: 30%;
}

.consept_box img{
    width: 100%;
    height: 60%;
}

.consept_box h1{
    font-size: 2.3rem;
}

.consept_box p{
    font-size: 1.6rem;
}

/* menu */
.menu_price h1{
    font-size: 2.3rem;
    width: 50%;
    margin: 3rem auto;
}

table{
    margin: 15px auto;
    width: 50%;
    font-size: 1.5rem;
    border-collapse: collapse;
}
  
table tr,th,td{
  border: 1px solid black;
  text-align: left;
  line-height: 40px;
}
    
table td{
  text-align: center;
}

/* ボタン */
.button {
    text-align: center; 
    margin: 2rem; 
}

.button a {
    display: inline-block;
    padding: 20px 25px;
    color: #ffffff;
    background-color: #1a1a1a; 
    font-size: 16px;
    font-weight: bold;
    text-decoration: none;
    border-radius: 25px; 
    transition: all 0.3s ease; 
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.button a:hover {
    transform: scale(1.1);
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.2); 
}

/* .button a:active {
    transform: scale(1); 
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); 
} */
  
/* voice */
.voice{
    display: flex;
    justify-content: space-around;
    font-size: 1.5rem;
    border-bottom: 1px solid gray;
    margin: 3rem 0;
}

.voice_box{
    width: 30%;
    margin: auto 0;
}

.voice_box img{
    width: 100%;
    height: 100%;
    margin: 2rem 0;
}

/* access */
.access_table{
    margin: 3rem 0;
}

.access_table td{
    text-align-last: left;
}

/* map */
.iframe_container{
    text-align: center;
    margin: 3rem 0;
}

/* お問い合わせ */
.reserve_message{
    font-size: 1.6rem;
    text-align: center;
    margin: 3rem 0;
}

.contact {
    max-width: 600px;
    margin: 0 auto;
    padding: 20px;
    font-size: 1.5rem;
}
  
.contact form {
  display: flex;
  flex-direction: column;
}
  
.contact input,.contact textarea {
  margin-bottom: 15px;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 16px;
}

.contact button {
  padding: 10px 20px;
  border: none;
  border-radius: 4px;
  background-color: #f8943d;
  color: white;
  font-size: 16px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

/* footer */
footer {
    background-color: #2a2a2a; 
    color: #fff; 
    padding: 2rem 0; 
    text-align: center; 
    margin-top: 7rem;
}

.footer_nav ul {
    list-style: none; 
    padding: 0;
    margin: 0 0 1.5rem 0; 
    display: flex;
    justify-content: center; 
    gap: 2rem; 
}

/* .footer_nav ul li {
    display: inline-block;
} */

.footer_nav ul li a {
    color: #fff; 
    text-decoration: none; 
    font-size: 1.4rem; 
    /* transition: color 0.3s ease;  */
}

.footer_nav ul li a:hover {
    opacity: 0.5; 
}

.footer_info p {
    margin: 0.5rem 0; 
    font-size: 1.2rem; 
}

.footer_copy {
    margin-top: 1.5rem; 
    font-size: 1rem; 
    color: #bbb; 
}

/* タブレットレスポンシブ */
@media (max-width:960px) {
.hiro img{
    height: 400px;
}
.hiro h1{
    font-size: 4rem;
    right: -20px;
}

.menu{
    display: none;
}

.humburger{
    position: fixed;
    top: 0;
    right: 0;
    width: 50px;
    height: 50px;
    background-color: black;
    z-index: 2;
}

.humburger span{
    position: absolute;
    width: 30px;
    height: 2px;
    background-color: #fff;
    transition: 0.5s;
    margin-left: 10px;
}

.humburger span:nth-of-type(1){
    top: 15px;
}

.humburger span:nth-of-type(2){
    top: 25px;
}

.humburger span:nth-of-type(3){
    top: 35px;
}

.humburger.open span:nth-of-type(1){
    transform:translateY(10px) rotate(45deg);
}

.humburger.open span:nth-of-type(2){
    opacity: 0;
}

.humburger.open span:nth-of-type(3){
    transform:translateY(-10px) rotate(-45deg);
}

.box{
    display: block;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #0d0d0d; 
    background-color: #1c1b29; 
    color: #eaeaea; 
    z-index: 1;
    opacity: 0;
    pointer-events: none;
    transition: 0.5s;
}

.box.open{
    opacity: 1;
    pointer-events: auto;
}

.humburger_ul{
    width: 90%;
    margin: 0 auto;
    font-size: 1rem;
    text-align: center;
}

.humburger_ul ul{
    padding-left: 0;
    margin-top: 50%;
}

.humburger_ul li{     
    list-style: none;
    margin-bottom: 20px;
    font-size: 2rem;
}

.humburger_ul a{
    color: #eaeaea; 
    text-decoration: none;
}

.consept{
    display: block;
}

.consept_box{
    width: 80%;
    margin: 0 auto;
}

.consept_box img{
    width: 100%;
    height: 40%;
}

.consept_box h1{
    font-size: 2.5rem;
}

.consept_box p{
    font-size: 1.8rem;
}

table{
    width: 80%;
}

.menu_price h1{
    font-size: 2.5rem;
    width: 80%;
}

.voice{
    display: block;
    font-size: 1.8rem;
    margin-bottom: 5rem;
}

.voice_box{
    width: 80%;
    margin: 0 auto;
}

.voice_box img{
    width: 100%;
    height: 100%;
}
}

/* スマホレスポンシブ */
@media (max-width: 480px){
header{
    padding-top: 0 ;
}
.hiro{
    margin: 3rem 0;
}
.hiro img{
    width: 100%;
    height: 200px;
}
  
.hiro h1{
    position: absolute;
    font-size: 2rem;
    top: 40%;
    right: -10px;
}

.title{
    font-size: 1.3rem;
}

.consept_box h1 {
    font-size: 1.8rem;
}

.consept_box p {
    font-size: 1.3rem;
}

.menu_price h1 {
    font-size: 1.8rem;
    width: 100%;
    margin-bottom: 0;
}

table {
    width: 100%;
}

.voice{
    font-size: 1.5rem;
    margin-bottom: 0;
}

iframe{
    width: 100%;
    height: 200px;
}

.footer_nav ul li a {
    font-size: 1.2rem; 
}
}